
Foreman - Bug #2519

Admin account not enabled after db:migrate

05/20/2013 01:14 PM - Greg Sutcliffe

Status: Closed   

Priority: Urgent   

Assignee: Greg Sutcliffe   

Category: Authentication   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

twice today i've installed new foreman hosts (once from git, once from debian nightly) and the standard admin:changeme did not

work. Both were postgres. Both worked after permissions:reset.

Associated revisions

Revision a2a5a5fe - 05/28/2013 11:27 AM - Greg Sutcliffe

Fixes #2519 - Protect locale changes from validation failure so that

password validation can be run

Revision cd90e05b - 05/28/2013 12:10 PM - Greg Sutcliffe

Fixes #2519 - Protect locale changes from validation failure so that

password validation can be run

(cherry picked from commit a2a5a5fef2950c0a60c5aec3378277e2c5cb47bd)

History

#1 - 05/21/2013 08:54 AM - Dominic Cleal

- Category set to Authentication

- Priority changed from Normal to Urgent

I can replicate this, deleting my sqlite DB, running db:migrate and am unable to login.  Checking the database, the password_hash and password_salt

fields are empty.  Setting them manually to known values allows logins.

#2 - 05/23/2013 01:50 PM - Greg Sutcliffe

- Status changed from New to Ready For Testing

- Assignee set to Greg Sutcliffe

https://github.com/theforeman/foreman/pull/648

#3 - 05/28/2013 12:17 PM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a2a5a5fef2950c0a60c5aec3378277e2c5cb47bd.
